Loading...
Searching...
No Matches
CapacityScalingDefaultTraits< GR, V, C > Struct Template Reference

## Detailed Description

template<typename GR, typename V = int, typename C = V>
struct lemon::CapacityScalingDefaultTraits< GR, V, C >

Default traits class of CapacityScaling algorithm.

Template Parameters

  GR | Digraph type.
  V | The number type used for flow amounts, capacity bounds and supply values. By default it is `int`.
  C | The number type used for costs and potentials. By default it is the same as `V`.

`#include <lemon/capacity_scaling.h>`

## Public Types

typedef GR | Digraph
| The type of the digraph.
typedef V | Value
| The type of the flow amounts, capacity bounds and supply values.
typedef C | Cost
| The type of the arc costs.
typedef BinHeap< Cost, RangeMap< int > > | Heap
| The type of the heap used for internal Dijkstra computations.

## Member Typedef Documentation

## Heap

template<typename GR, typename V = int, typename C = V>

typedef BinHeap<Cost, RangeMap<int> > Heap

The type of the heap used for internal Dijkstra computations. It must conform to the Heap concept, its priority type must be `Cost` and its cross reference type must be RangeMap<int>.